VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::CdromTypes::CreateSpec Class Reference

The `Cdrom.CreateSpec` class provides a specification for the configuration of a newly-created virtual CD-ROM device. More...

List of all members.

## Public Member Functions
| CreateSpec ()
| Creates a default new instance.
vmware.vcenter.vm.hardware.CdromTypes.HostBusAdapterType | Get_Type ()
| Type of host bus adapter to which the device should be attached.
void | SetType (vmware.vcenter.vm.hardware.CdromTypes.HostBusAdapterType type)
| Type of host bus adapter to which the device should be attached.
vmware.vcenter.vm.hardware.IdeAddressSpec | GetIde ()
| Address for attaching the device to a virtual IDE adapter.
void | SetIde (vmware.vcenter.vm.hardware.IdeAddressSpec ide)
| Address for attaching the device to a virtual IDE adapter.
vmware.vcenter.vm.hardware.SataAddressSpec | GetSata ()
| Address for attaching the device to a virtual SATA adapter.
void | SetSata (vmware.vcenter.vm.hardware.SataAddressSpec sata)
| Address for attaching the device to a virtual SATA adapter.
vmware.vcenter.vm.hardware.CdromTypes.BackingSpec | GetBacking ()
| Physical resource backing for the virtual CD-ROM device.
void | SetBacking (vmware.vcenter.vm.hardware.CdromTypes.BackingSpec backing)
| Physical resource backing for the virtual CD-ROM device.
bool | GetStartConnected ()
| Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.
void | SetStartConnected (bool?startConnected)
| Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.
bool | GetAllowGuestControl ()
| Flag indicating whether the guest can connect and disconnect the device.
void | SetAllowGuestControl (bool?allowGuestControl)
| Flag indicating whether the guest can connect and disconnect the device.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Cdrom.CreateSpec` class provides a specification for the configuration of a newly-created virtual CD-ROM device.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::CreateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.vm.hardware.CdromTypes.HostBusAdapterType vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::Get_Type | ( |  | ) | `[inline]`

Type of host bus adapter to which the device should be attached.

bool vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::GetAllowGuestControl | ( |  | ) | `[inline]`

Flag indicating whether the guest can connect and disconnect the device.

vmware.vcenter.vm.hardware.CdromTypes.BackingSpec vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::GetBacking | ( |  | ) | `[inline]`

Physical resource backing for the virtual CD-ROM device.

override int vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::GetHashCode | ( |  | ) | `[inline]`

vmware.vcenter.vm.hardware.IdeAddressSpec vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::GetIde | ( |  | ) | `[inline]`

Address for attaching the device to a virtual IDE adapter.

vmware.vcenter.vm.hardware.SataAddressSpec vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::GetSata | ( |  | ) | `[inline]`

Address for attaching the device to a virtual SATA adapter.

bool vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::GetStartConnected | ( |  | ) | `[inline]`

Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.

void vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::SetAllowGuestControl | ( | bool? | allowGuestControl | ) | `[inline]`

Flag indicating whether the guest can connect and disconnect the device.

void vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::SetBacking | ( | vmware.vcenter.vm.hardware.CdromTypes.BackingSpec | backing | ) | `[inline]`

Physical resource backing for the virtual CD-ROM device.

void vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::SetIde | ( | vmware.vcenter.vm.hardware.IdeAddressSpec | ide | ) | `[inline]`

Address for attaching the device to a virtual IDE adapter.

void vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::SetSata | ( | vmware.vcenter.vm.hardware.SataAddressSpec | sata | ) | `[inline]`

Address for attaching the device to a virtual SATA adapter.

void vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::SetStartConnected | ( | bool? | startConnected | ) | `[inline]`

Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.

void vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::SetType | ( | vmware.vcenter.vm.hardware.CdromTypes.HostBusAdapterType | type | ) | `[inline]`

Type of host bus adapter to which the device should be attached.

override string vmware::vcenter::vm::hardware::CdromTypes::CreateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- CdromTypes.cs